# Class CTabETabHelper

java.lang.Object
org.eclipse.e4.ui.css.swt.properties.custom.CTabETabHelper

public class CTabETabHelper extends Object

## Constructor Summary

Constructors
Constructor
Description
`CTabETabHelper()`

## Method Summary

Modifier and Type
Method
Description
`static Item[]`
`getItems(Widget widget)`
`static Control`
`getParent(Widget widget)`
`static Item`
`getSelection(Widget widget)`
`static int`
`getSelectionIndex(Widget widget)`
`static void`
`setShowClose(Item item, boolean bool)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CTabETabHelper

public CTabETabHelper()

## Method Details

### getItems

public static Item[] getItems(Widget widget)

### getSelection

public static Item getSelection(Widget widget)

### getSelectionIndex

public static int getSelectionIndex(Widget widget)

### setShowClose

public static void setShowClose(Item item, boolean bool)

### getParent

public static Control getParent(Widget widget)